Name:           dates
Version:        0.4.11
Release:        14%{?dist}
Summary:        Small, lightweight calendar

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://pimlico-project.org/dates.html
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
Patch0:         dates-fixdso.patch
Patch1:         dates-ftbfs.patch
Patch2:         dates-fixmake.patch

BuildRequires:  gtk2-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  desktop-file-utils intltool gettext

%description
Dates is a small, lightweight calendar that uses Evolution Data Server as a
backend. Dates features an innovative, unified, zooming view and is designed
for use on primarily hand-held devices. It features both a ‘vanilla’ GTK
user interface and tailored support for the Nokia 770 maemo interface.

%prep
%setup -q
%patch0 -p1 -b .fixdso
%patch1 -p1 -b .ftbfs
%patch2 -p1 -b .fixmake

%build
%configure --disable-debug
make %{?_smp_mflags} 
sed -i 's/SingleInstance/X-SingleInstance/' data/%{name}.desktop

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Fedora				\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang Dates

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f Dates.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%doc %{_mandir}/man1/dates.1.gz
%{_datadir}/icons/hicolor/*/apps/dates.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/%{name}

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 30 2011 Bruno Wolff III <bruno@wolff.to> - 0.4.11-13
- Rebuild against newer evolution-data-server

* Tue Aug 16 2011 Milan Crha <mcrha@redhat.com> - 0.4.11-12
- Rebuild against newer evolution-data-server

* Fri Jun 17 2011 Milan Crha <mcrha@redhat.com> - 0.4.11-11
- Rebuild against newer evolution-data-server

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-7
- Bump build

* Mon Jul 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-6
- add patch to fix build against current evo, thanks Caolan for patch

* Tue Jul 20 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-5
- rebuild against new evolution-data-server

* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-4
- Bump build

* Wed Mar  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-3
- Add patch to fix dso linking. Bug 564974

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-2
- Update source file

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.11-1
- New upstream 0.4.11 release.

* Wed Aug 12 2009 Peter Robinson <pbrobinson@gmail.com> - 0.4.8-1
- New upstream 0.4.8 release. Some spec file cleanups.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.4.6-3
- Fixed build failure.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 16 2008 Denis Leroy <denis@poolshark.org> - 0.4.6-1
- Update to upstream 0.4.6

* Thu Feb 14 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-2
- Autorebuild for GCC 4.3

* Fri Dec 14 2007 Denis Leroy <denis@poolshark.org> - 0.4.5-1
- Update to upstream 0.4.5
- Updated URL
- Header files no longer installed, obsoleting devel package

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 0.4.4-2
- Updated License tag

* Mon Jul 16 2007 Denis Leroy <denis@poolshark.org> - 0.4.4-1
- Update to 0.4.4, bug fixes

* Mon Jul  9 2007 Denis Leroy <denis@poolshark.org> - 0.4.3-1
- Update to 0.4.3
- Added X prefix to SingleInstance in desktop file

* Sat Jun  2 2007 Denis Leroy <denis@poolshark.org> - 0.4.2-1
- Update to upstream 0.4.2 release

* Tue Apr 10 2007 Jesse Keating <jkeating@redhat.com> - 0.3.1-1
- New upstream release

* Fri Dec 15 2006 Jesse Keating <jkeating@redhat.com> - 0.2-1
- new upstream release

* Mon Oct 30 2006 Jesse Keating <jkeating@redhat.com> - 0.1-5.20060813svn
- rebuild for new eds

* Thu Aug 31 2006 Jesse Keating <jkeating@redhat.com> - 0.1-4.20060813svn
- rebuild

* Sun Aug 27 2006 Jesse Keating <jkeating@redhat.com> - 0.1-3.20060813svn
- rebuild

* Mon Aug 14 2006 Jesse Keating <jkeating@redhat.com> - 0.1-2.20060813svn
- Add some requires to -devel based on .pc contents

* Sun Aug 13 2006 Jesse Keating <jkeating@redhat.com> - 0.1-1.20060813svn
- Initial package for review
